%define module diff-match-patch

Name:           python-%{module}
Version:        20200713
Release:        %mkrel 4
Summary:        Algorithms for synchronizing plain text
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/diff-match-patch/
Source0:        https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools

%description
The Diff Match and Patch libraries offer robust algorithms to perform the
operations required for synchronizing plain text.

%package -n python3-%{module}
Summary:        Algorithms for synchronizing plain text
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The Diff Match and Patch libraries offer robust algorithms to perform the
operations required for synchronizing plain text.


%prep
%setup -n %{module}-%{version}

# Remove bundled egg-info
rm -rf diff_match_patch.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-3 -v

%files -n python3-%{module}
%license LICENSE
%{python3_sitelib}/diff_match_patch*


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 20200713-4.mga9
+ Revision: 1828446
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 20200713-3.mga9
+ Revision: 1774357
- Rebuild for python 3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 20200713-2.mga9
+ Revision: 1707319
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 20200713-1.mga8
+ Revision: 1669363
- initial package python-diff-match-patch (needed for spyder)

